echo '=== Make sure the ROS node is not connected ==='
camera=adaptcam
echo '__________ Width, Height, PixelFormat __________'
gc_info "${camera}" | grep ' Width ('
gc_info "${camera}" | grep ' Height ('
gc_info "${camera}" | grep ' PixelFormat ('
echo '__________ ISP should be off = 0 __________'
gc_info "${camera}" | grep ' IspEnable ('

echo '__________ PTP should be enabled = 1 __________'
gc_info "${camera}" | grep ' GevIEEE1588 ('
echo '__________ PTP should be in SlaveOnly mode __________'
gc_info "${camera}" | grep ' GevIEEE1588Mode ('
echo '__________ PTP should be Slave __________'
gc_info "${camera}" | grep ' GevIEEE1588Status ('
echo '__________ TriggerMode __________'
gc_info "${camera}" | grep ' TriggerMode ('
gc_info "${camera}" | grep ' LineSelector ('
gc_info "${camera}" | grep ' LineMode ('
gc_info "${camera}" | grep ' TriggerSelector ('
gc_info "${camera}" | grep ' TriggerSource ('
gc_info "${camera}" | grep ' TriggerDelay ('
gc_info "${camera}" | grep ' TriggerActivation ('
echo '__________ AutoExposure __________'
gc_info "${camera}" | grep ' AutoExposureExposureTimeLowerLimit ('
gc_info "${camera}" | grep ' AutoExposureExposureTimeUpperLimit ('
gc_info "${camera}" | grep ' AcquisitionResultingFrameRate ('
gc_info "${camera}" | grep ' AcquisitionFrameRate ('
gc_info "${camera}" | grep ' AcquisitionFrameRateEnable ('